%define	oname		OGRE
%define	name		ogre
%define	version		0.15.2
%define	release		1mdk
%define	major		1
%define	lib_name_orig	lib%{name}
%define	lib_name	%mklibname %{name} %{major}
%define	lib_name_devel	%mklibname %{name} %{major} -d
%define	lib_name_static_devel	%mklibname %{name} %{major} -s -d
#%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}
%{expand:%%define filever %(echo v%{version}| tr . -)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-linux_osx-%{filever}.tar.bz2
#Patch0:	%{name}-disable-cfgtk.patch.bz2
#Patch1:	%{name}-glext-legacy-fix.patch.bz2
Patch2:		%{name}-0.13.0-no-nvidia.patch.bz2
License:	LGPL
Group:		System/Libraries
URL:		http://www.ogre3d.org/
Summary:	Object-Oriented Graphics Rendering Engine
BuildRequires:	zlib-devel devil-devel >= 1.6.6-3mdk XFree86-devel MesaGLU-devel
BuildRequires:	jpeg-devel mng-devel tiff-devel SDL-devel lcms-devel nas-devel
BuildRequires:	gtkmm2.0-devel libglademm2.0-devel
#BuildRequires:	python-devel = %{py_ver}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	%{lib_name_orig}
Provides:	%{name}

%description -n	%{lib_name}
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
Development headers and libraries for writing programs using %{oname}

%package -n	%{lib_name_static_devel}
Summary:	Static  libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name}-devel = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{lib_name_static_devel}
Static  libraries for writing programs using %{oname}

%prep
%setup -q -n %{name}new
find -type d -name CVS|xargs rm -rf
#%patch0 -p0
#%patch1 -p0
%patch2 -p1 -b .no_nvidia

%build
#perl -pi -e "s#pyversion=\".*\"#pyversion=\"%{py_ver}\"#g" configure
%configure2_5x	--with-pic \
		--with-cfgtk=gtk \
		--with-platform=SDL \
		--with-gl-support=SDL 
#		--enable-python-link \
#		--with-python-version=%{py_ver}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(644,root,root,755)
%doc AUTHORS BUGS LINUX.DEV
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{oname}
%{_datadir}/%{oname}

%files -n %{lib_name_devel}
%defattr(644,root,root,755)
%doc Docs/*
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{oname}.pc
%{_includedir}/%{oname}

%files -n %{lib_name_static_devel}
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.2-1mdk
- 0.15.2

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.1-1mdk
- 0.15.1

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-2mdk
- rebuild

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.1

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.13.1-1mdk
- 0.13.1

* Thu Feb 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.13.0-1mdk
- 0.13.0
- update url

* Fri Nov 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.2-1mdk
- 0.12.2
- fix buildrequires
- macro for version name in file
- fix permissions for docs

* Wed Oct 29 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-1mdk
- 0.12.1
- fix buildrequires (lib64..)
- drop P0 & P1
- use gtk for cfgtk
- new major 1

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-3mdk
- rebuild
- use %%mklibname for devel packages

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-2mdk
- fixed buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-1mdk
- initial mdk release
